=pod

Copyright Heiner Kuhlmann : hkuhlmann@dr-k.de Praktische-Elektronik.dr-k.de
The software is licensed under the GNU Library General Public License.

=head1 NAME

LogicBuddy::Plural - module

=head1 SYNOPSIS

   use LogicBuddy::Plural;

   LogicBuddy::PluralOf::A_sentence();

=head1 ABSTRACT

LogicBuddy::Plural abstracts LogicBuddy locale.

=head1 DESCRIPTION

=head3 A_sentence

   $message = LogicBuddy::Plural::A_sentence();

Returns the plural of A_sentence translated to the current language.

A_sentence may be any sequence of words and _.

=head1 AUTHOR

Heiner Kuhlmann, E<lt>hkuhlmann@dr-k.deE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright Heiner Kuhlmann : hkuhlmann@dr-k.de Praktische-Elektronik.dr-k.de
The software is licensed under the GNU Library General Public License.

=cut

use strict;
use warnings;

################################################################################
# internal subprograms
################################################################################

package LogicBuddy::Plural;

################################################################################
# global constants
################################################################################

################################################################################
# global variables
################################################################################

################################################################################
# internal subprograms
################################################################################

################################################################################
# exported subprograms
################################################################################

################################################################################
# AUTOLOAD
################################################################################

sub AUTOLOAD {

   my $program =  $LogicBuddy::Plural::AUTOLOAD;
   $program    =~ s/.*:://;

   no strict;
   return LogicBuddy::Locale::PluralOf( LogicBuddy::Locale::TranslationOf($program, @_) );

}; # AUTOLOAD

################################################################################
# end LogicBuddy::Plural
################################################################################

1;
