=pod

Copyright Heiner Kuhlmann : hkuhlmann@dr-k.de Praktische-Elektronik.dr-k.de
The software is licensed under the GNU Library General Public License.

=head1 NAME

LogicBuddy::Singular - module

=head1 SYNOPSIS

use LogicBuddy::Singular;

   LogicBuddy::SingularOf::A_sentence();

=head1 ABSTRACT

LogicBuddy::Singular abstracts LogicBuddy locale.

=head1 DESCRIPTION

=head3 A_sentence

   $message = LogicBuddy::Singular::A_sentence();

Returns the singular of A_sentence translated to the current language.

A_sentence may be any sequence of words and _.

=head1 AUTHOR

Heiner Kuhlmann, E<lt>hkuhlmann@dr-k.deE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright Heiner Kuhlmann : hkuhlmann@dr-k.de Praktische-Elektronik.dr-k.de
The software is licensed under the GNU Library General Public License.

=cut

use strict;
use warnings;

use LogicBuddy::Locale;

package LogicBuddy::Singular;

################################################################################
# global constants
################################################################################

################################################################################
# global variables
################################################################################

################################################################################
# internal subprograms
################################################################################

################################################################################
# exported subprograms
################################################################################

################################################################################
# AUTOLOAD
################################################################################

sub AUTOLOAD {

   my $program =  $LogicBuddy::Singular::AUTOLOAD;
   $program    =~ s/.*:://;

   return LogicBuddy::Locale::SingularOf( LogicBuddy::Locale::TranslationOf($program, @_) );

}; # AUTOLOAD

################################################################################
# end LogicBuddy::Singular
################################################################################

1;
