=pod

Copyright Heiner Kuhlmann : hkuhlmann@dr-k.de Praktische-Elektronik.dr-k.de
The software is licensed under the GNU Library General Public License.

=head1 NAME

LogicBuddy::Tk::Table::Configuration - module

=head1 SYNOPSIS

   use LogicBuddy::Tk::Table::Configuration;

   %LogicBuddy::Tk::Table::C_Table_size
   $LogicBuddy::Tk::Table::C_Table_entry_width
   %LogicBuddy::Tk::Table::C_standard_number_label_configuration
   %LogicBuddy::Tk::Table::C_header_number_label_configuration
   %LogicBuddy::Tk::Table::C_label_configuration

=head1 ABSTRACT

LogicBuddy::Tk::Table::Configuration abstracts configuation of LogicBuddy truth tables.

=head1 AUTHOR

Heiner Kuhlmann, E<lt>hkuhlmann@dr-k.deE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright Heiner Kuhlmann : hkuhlmann@dr-k.de Praktische-Elektronik.dr-k.de
The software is licensed under the GNU Library General Public License.

=cut

use strict;

use LogicBuddy::Tk::Configuration;

package LogicBuddy::Tk::Table::Configuration;

use English '-no_match_vars';

################################################################################
# global constants
################################################################################

use constant FALSE => 0;
use constant TRUE  => 1;
use constant EMPTY => '';

use Readonly;

Readonly %LogicBuddy::Tk::Table::C_Table_size                          => ( -width  => 300, # pixel
                                                                            -height => 300  # pixel
                                                                          );
Readonly $LogicBuddy::Tk::Table::C_Table_entry_width                   => ( $^O eq 'MSWin32' )   ?  4  :  3; # character

Readonly %LogicBuddy::Tk::Table::C_standard_number_label_configuration => ( -relief       => 'raised' );
Readonly %LogicBuddy::Tk::Table::C_header_number_label_configuration   => ( -background   => $Tk::Configuration::C_background,
                                                                            -relief       => 'flat',
                                                                          );
Readonly %LogicBuddy::Tk::Table::C_label_configuration => ( -width              => $LogicBuddy::Tk::Table::C_Table_entry_width,
                                                            -padx               => 5,
                                                            -pady               => 0,
                                                            -borderwidth        => 1,
                                                            -highlightthickness => 0,
                                                            -font               => $Tk::Configuration::C_small_bold_font
                                                         );
Readonly %LogicBuddy::Tk::Table::Configuration::C_I_Grid_Pads => ( -ipadx => 5, -ipady => 5 );

################################################################################
# global variable
################################################################################

################################################################################
# internal subprograms
################################################################################

################################################################################
# exported subprograms
################################################################################

################################################################################
# end LogicBuddy::Tk::Table::Configuration
################################################################################

1;

